SparkFun 16 Output I/O Expander Breakout - SX1509
======================================

[![SX1509 16 Output I/O Expander Breakout](https://cdn.sparkfun.com//assets/parts/1/0/9/5/6/13601-01.jpg)  
*SX1509 16 Output I/O Expander Breakout (BOB-13601)*](https://www.sparkfun.com/products/13601)

The SX1509 16 Output I/O Expander Breakout Board makes it easy to prototype using the SX1509 so you can add more I/O onto your Arduino or I/O limited controller. It can leverage your I2C interface for 16 extra channels of GPIO and contains a fully programmable LED driver and a keypad scanning engine which enables continuous keypad monitoring of up to 64 keys. Since the I/O banks can operate between 1.2V and 3.6V (5.5V tolerant) independent of both the core and each other, this device can also work as a level-shifter.

Features include:

* 16 channels of bi-directional I/O - Pull-up/down resistors, push/pull or open-drain outputs, programmable polarity.
* 5.5V tolerant I/O's (1.2-3.6V operating voltage)
* LED Driver: PWM and blink control on all I/O's, breathe capability on a select few.
* Level shifting I/O's: Independent I/O rails (VCC1, VCC2) allow for up/down level shifting.
* Keypad scanning engine: Supports up to 64 keys (in an 8x8 matrix configuration).

Repository Contents
-------------------
* **/Hardware** - Eagle design files (.brd, .sch)
* **/Libraries** - Libraries for use with the <PRODUCT NAME>
* **/Production** - Production panel files (.brd)

Documentation
--------------
* **[Library](https://github.com/sparkfun/SparkFun_SX1509_Arduino_Library)** - <LANGUAGE> library for the SX1509.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/sx1509-io-expander-breakout-hookup-guide?_ga=1.227875988.863167751.1453149924)** - Basic hookup guide for the SX1509.
* **[SparkFun Fritzing repo](https://github.com/sparkfun/Fritzing_Parts)** - Fritzing diagrams for SparkFun products.
* **[SparkFun 3D Model repo](https://github.com/sparkfun/3D_Models)** - 3D models of SparkFun products. 
* **[SparkFun Graphical Datasheets](https://github.com/sparkfun/Graphical_Datasheets)** -Graphical Datasheets for various SparkFun products.


Product Versions
-------------------

* [BOB-13601](https://www.sparkfun.com/products/13601) - SX1509 16 I/O Breakout Board (v20)
* [BOB-11502](https://www.sparkfun.com/products/retired/11502)- (Retired) SX1509 16 I/O I2C port expander (v10)

License Information
-------------------
This product is _**open source**_! 

The **hardware** is released under [Creative Commons ShareAlike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/).

The **code** is beerware; if you see me (or any other SparkFun employee) at the local, and you've found our code helpful, please buy us a round!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
